div.header {
    article.member-games {
        padding: 17px 0 20px;
    }
}

div.container {
    article.member-games {
        padding: 0 0 20px 0;
    }
}

article.member-games {
    overflow: visible;

    div.title {
        h1 {
            margin: 3px 0 0;
        }
        div.actions {
            color: #909090;
            font-size: 13px;
            height: 18px;
            margin: 0 0 0 0;
            text-align: right;

            a {
                border-right: 1px solid #909090;
                color: $blue;
                display: inline-block;
                float: right;
                font-size: 22px;
                font-weight: bold;
                height: 18px;
                line-height: 14px;
                margin: 0;
                overflow: hidden;
                text-align: center;
                text-decoration: none;
                width: 36px;

                &.end {
                    margin-right: 0;
                    border-right: 0;
                }
            }
        }
    }

    table {
        margin: 0 0 10px;

        th {
            padding: 6px 0 16px;
        }
    }
    #filter-list {
        border: 0;

        th {
            padding: 0;
        }
        .label {
            color: #808080;
            display: block;
            float: left;
            font-weight: 600;
            margin: 12px 6px 2px 4px;
            width: 50px;
        }

        .rollup {
            height: 0;
            overflow: hidden;
            padding: 0;

            &.open {
                border-bottom: 1px solid #e0e0e0;
            }
        }

        .filter-list {
            display: inline-block;
            float: left;
            width: 1030px;

            .filter {
                border-radius: 3px;
                color: white;
                display: inline-block;
                float: left;
                font-size: 12px;
                line-height: 24px;
                margin: 10px 6px 0 0;
                overflow: hidden;
                padding: 0 0 0 8px;

                span {
                    float: left;
                }

                a {
                    border-left: 1px solid rgba(255, 255, 255, 0.5);
                    color: white;
                    cursor: pointer;
                    display: inline-block;
                    float: right;
                    font-size: 16px;
                    font-weight: bold;
                    height: 24px;
                    line-height: 24px;
                    margin-left: 6px;
                    text-align: center;
                    text-decoration: none;
                    width: 22px;

                    &:hover {
                        border-color: transparent;
                        background: black;
                    }
                }
            }
        }
    }
    #filter-column-header {
        vertical-align: top;
        width: 60px;

        .dropdown {
            display: inline-block;
            position: relative;
            text-align: left;
            float: left;
            margin: 10px 0 0;

            >.primary {
                background: #f0f0f0;
                border: 1px solid #e0e0e0;
                border-radius: 3px;
                color: #505050;
                cursor: default;
                display: block;
                font-size: 13px;
                height: 20px;
                line-height: 20px;
                padding: 1px 7px;
                white-space: nowrap;
                width: 44px;

                span {
                    float: left;
                }
                em {
                    float: right;
                    font-style: normal;
                    margin-left: 3px;
                    width: 10px;
                }
            }
            >.options {
                background: $blue;
                box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.6);
                display: none;
                font-size: 13px;
                left: 0;
                position: absolute;
                top: 24px;
                z-index: 100;
                width: 150px;

                hr {
                    margin: 4px 6px;
                    border-color: rgba(255, 255, 255, 0.4);
                }

                a {
                    color: white;
                    cursor: pointer;
                    display: block;
                    overflow: auto;
                    padding: 6px 10px;
                    white-space: nowrap;
                    text-overflow: ellipsis;
                    overflow: hidden;
                    width: 130px;

                    span {
                        float: left;
                    }
                    em {
                        float: right;
                        font-style: normal;
                    }

                    &:hover, &:focus {
                        background: shade($blue, 40%);
                        color: white;
                        text-decoration: none;
                    }
                    &.disabled {
                        background: darken($blue, 20%);
                        cursor: default;
                    }
                }
                >.sub-dropdown {
                    position: relative;
                    display: block;
                    width: 150px;
                    color: white;

                    .primary {
                        color: white;
                        display: block;
                        overflow: auto;
                        padding: 6px 10px;
                        white-space: nowrap;
                        width: 130px;

                        span {
                            float: left;
                            width: 100px;
                            text-overflow: ellipsis;
                            overflow: hidden;
                            display: block;
                        }
                        em {
                            float: right;
                            font-style: normal;
                        }
                    }
                    >.options {
                        background: shade($blue, 30%);
                        box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.6);
                        display: none;
                        left: 150px;
                        position: absolute;
                        top: 0;
                        width: 150px;
                        a:hover {
                            background: shade($blue, 60%);
                        }
                    }
                    &:hover, &:focus {
                        .primary {
                            background: shade($blue, 30%);
                        }
                        >.options {
                            display: block;
                        }
                    }
                }
            }

            &:hover {
                >.primary {
                    background: $blue;
                    border-color: $blue;
                    color: white;
                    border-radius: 3px 3px 0 0;
                    text-decoration: none;
                    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.6);
                }
                >.options {
                    display: block;
                }
            }
        }
    }
    #name-column-header {
        text-align: center;
        min-width: 560px;

        >a {
            float: right;
            height: 20px;
            margin: 10px 170px 0 0;
            padding: 4px 12px 0 0;
        }
    }
    #cost-column-header {
        width: 82px;
    }
    #cost-per-hour-column-header {
        width: 70px; 
    }
    #hours-column-header {
        width: 82px;
    }
    #rating-column-header {
        width: 140px;
    }
    #finished-column-header {
        width: 74px;
    }
    tfoot {
        td {
            &.cost {
                padding: 8px 20px 8px 0;
                text-align: right;
            }
            &.hours {
                padding: 8px 20px 8px 0;
                text-align: right;
            }
        }
    }
    #empty-row {
        border-bottom: 1px solid #e0e0e0;

        td {
            color: #303030;
            font-weight: bold;
            padding: 20px 0;
            text-align: center;
        }

        &.blur {
            display: none;
        }
    }

    tr.game {
        border-bottom: 1px solid #e0e0e0;
        overflow: auto;
        background: white;

        td {
            padding: 8px 10px;
            &.center {
                text-align: center;
            }
            &.right {
                text-align: right;
            }
            &.name {
                padding: 8px 0;

                img {
                    background: url(/images/small-unknown-game.png) white;
                    border: 1px solid #e0e0e0;
                    display: block;
                    float: left;
                    height: 36px;
                    width: 96px;
                }
                h4.name {
                    @include game-title();
                    color: #898989;
                    display: block;
                    float: left;
                    font-size: 16px;
                    font-weight: 400;
                    height: 20px;
                    line-height: 19px;
                    padding-left: 10px;
                    max-width: 455px;
                    white-space: nowrap;
                    text-overflow: ellipsis;
                    overflow: hidden;
                }
                a:hover {
                    h4.name {
                        color: black;
                    }
                }
                .tools {
                    float: left;
                    width: 455px;
                }
                .genre {
                    color: #898989;
                    display: inline-block;
                    font-size: 11px;
                    margin: 0;
                    padding: 1px 0 0 0;
                }
                .tag-list {
                    color: #898989;
                    display: inline-block;
                    font-size: 11px;
                    margin: 2px 0 0 10px;
                    float: left;
                }
                .tag {
                    border-radius: 2px;
                    color: white;
                    cursor: pointer;
                    display: inline-block;
                    float: left;
                    line-height: 16px;
                    margin-right: 5px;
                    max-width: 60px;
                    overflow: hidden;
                    padding: 0 5px;
                    text-decoration: none;
                    text-overflow: ellipsis;
                    white-space: nowrap;

                    &:hover {
                        background: black;
                    }
                }
                .edit-tags {
                    background: url('/images/edit-tags.png') no-repeat center bottom; 
                    display: inline-block;
                    height: 16px;
                    width: 30px;
                    line-height: 14px;
                    &:hover {
                        text-decoration: none;
                        background-position: center top;
                        cursor: pointer;
                    }
                }
            }
            &.pos {
                padding: 0;
                width: 60px;
                div {
                    color: #808080;
                    font-weight: bold;
                    padding: 8px 0 8px 10px;
                    text-align: center;
                    line-height: 40px;
                    width: 39px;
                }
            }
            &.hours {
                padding: 8px 20px 8px 0;
                text-align: right;
                width: 62px;

                &.altered {
                    font-weight: bold;
                }
            }
            &.price {
                color: #303030;
                text-align: right;
                padding: 8px 20px 8px 0;
            }
            &.cost {
                padding: 8px 20px 8px 0;
                text-align: right;
                width: 62px;

                &.uncorrected {
                    color: $green;
                    font-weight: bold;
                }
            }
            &.money {
                color: #505050;
                font-weight: bold;
                font-size: 14px;
                @include number-font();
            }
            &.rating {
                padding: 8px 0 8px 0;

                div.rating {
                    text-align: center;
                    width: 140px;
                }

                a.rating-clear {
                    border-radius: 2px;
                    cursor: pointer;
                    display: none;
                    float: left;
                    font-weight: bold;
                    font-size: 18px;
                    height: 22px;
                    line-height: 22px;
                    margin: 5px 0;
                    text-align: center;
                    text-decoration: none;
                    width: 22px;
                    &.hidden {
                        display: none;
                    }
                    &:hover {
                        background: $blue;
                        color: white;
                    }
                }
                &:hover {
                    a.rating-clear {
                        display: inline-block;
                    }
                }
            }
            &.left-edge {
                div {
                    border-left: 1px solid white;
                }
            }
            &.right-edge {
                div {
                    border-right: 1px solid white;
                }
            }
            &.finished {
                line-height: 30px;
                padding: 0;

                div {
                    line-height: 40px;
                    padding: 8px 0 8px 0;
                    text-align: center;
                    color: #606060;
                }
            }
        }
        &.odd {
            background: #f4f4f4;
            td.left-edge,
            td.right-edge {
                div {
                    border-color: #e0e0e0;
                }
            }
        }
        &.blur {
            display: none;
        }
        &:hover {
            background: #fff6df;
            &.odd {
                background: #fff7e0;
            }

            td.pos {
                div {
                    color: black;
                }
            }
            td.money {
                color: #404040;
            }
            td.right-edge,
            td.left-edge {
                div {
                    border-color: #e0e0e0;
                }
            }
        }
        @include inactive-rating-bar;
    }

    div.progress-bar-wrapper {
        height: 26px;
        overflow: hidden; 
    }
    #progress-bar {
        background: #f0f0f0;
        border-radius: 3px;
        box-shadow: inset 0 0 2px rgba(0, 0, 0, 0.3);
        cursor: default;
        height: 26px;
        margin: 0 auto;
        overflow: hidden;
        position: relative;
        width: 1100px;
        @include transition (all 0.2s ease-in-out);

        span {
            color: #606060;
            display: block;
            height: 26px;
            line-height: 26px;
            margin: 0 auto; 
            position: relative;
            text-align: center;
            width: 1100px;
            z-index: 5;
            @include transition (all 0.2s ease-in-out);
        }

        div.progress {
            border-radius: 3px;
            height: 26px;
            left: 0;
            overflow: hidden;
            position: absolute;
            top: 0;
            width: 0;
            z-index: 10;
            background: $green url('/images/progress-background.png') repeat left center;
            @include transition (all 0.2s ease-in-out);

            &.complete {
                background-color: $green;
            }
            span {
                color: white;
            }
        }

        &.complete {
            height: 8px;
            margin: 9px auto 0;

            div.progress {
                height: 8px;
            }
            span {
                height: 8px;
                line-height: 8px;
                opacity: 0;
            }
        }
        &:hover {
            height: 26px;
            margin: 0 auto;
            @include transition (all 0.2s ease-in-out);

            div.progress {
                height: 26px;
                background-color: $green;
            }
            span {
                height: 26px;
                line-height: 26px;
                opacity: 1;
            }
        }
    }

    div.statistics {
        padding: 5px 0 0;
        width: 100%;
        @include number-font();

        div.minor {
            float: left;
            width: 626px;
            margin: 38px 0 0;
            text-align: center;
        }

        div.average-cost-per-hour {
            color: #6e9005;
            cursor: default;
            display: block;
            float: left;
            margin: 18px 0;
            padding: 0;
            text-align: center;
            width: 255px;
            border-right: 1px solid #e0e0e0;

            div.stat {
                display: inline;
                font-size: 80px;
                font-weight: 400;
                line-height: 80px;
            }
            span.unit {
                display: inline;
                font-size: 40px;
                font-weight: 400;
                line-height: 40px;
            }
        }

        div.average-cost,
        div.average-playtime,
        div.total-cost,
        div.total-count,
        div.total-playtime {
            border-left: 1px solid #e0e0e0;
            cursor: default;
            display: inline-block;
            max-width: 142px;
            padding: 5px 20px;
            text-align: center;
            overflow: hidden;

            div.stat {
                display: inline;
                font-size: 30px;
                font-weight: 400;
                line-height: 30px;
            }
            span.unit {
                font-size: 16px;
                font-weight: 300;
                line-height: 20px;
                margin: 0;
            }
            p {
                margin: 0;
                font-weight: 300;
            }
        }
        div.average-cost {
            border-left: 0;
            padding-left: 0;
        }
        div.total-playtime {
            padding-right: 0;
        }

        div.friends {
            background: #f4f4f4 url('/images/friends-background.png') no-repeat 138px 38px;
            border: 1px solid #e0e0e0;
            border-radius: 4px;
            float: right;
            margin: 28px 0 0;
            padding: 12px 15px;
            width: 186px;
            text-align: left;

            p {
                margin: 0 0 10px;
                color: #606060;
                text-align: center;
                cursor: default;
            }
            a {
                background: $blue;
                border: 1px solid darken($blue, 5%);
                border-radius: 4px;
                color: white;
                display: inline-block;
                font-size: 13px;
                padding: 4px 10px;

                &:hover {
                    background: black;
                    text-decoration: none;
                    border-color: black;
                }
            }
            select {
                width: 112px;
                height: 28px;
                padding: 1px 0;
            }
        }
    }

    .color-0 {
        background: tint($green, 35%);
    }
    .color-1 {
        background: tint(red, 50%);
    }
    .color-2 {
        background: tint(desaturate(darkorange, 10%), 20%);
    }
    .color-3 {
        background: tint(green, 40%);
    }
    .color-4 {
        background: tint(desaturate($blue, 20%), 40%);
    }
    .color-5 {
        background: tint(desaturate(violet, 30%), 20%);
    }
    .color-6 {
        background: tint(purple, 50%);
    }
    .color-7 {
        background: #b0b0b0;
    }
}
